# eric4.Helpviewer.Bookmarks.BookmarksToolBar

Module implementing a tool bar showing bookmarks.

### Global Attributes

None

### Classes

BookmarksToolBar | Class implementing a tool bar showing bookmarks.

### Functions

None

## BookmarksToolBar

Class implementing a tool bar showing bookmarks.

### Signals

newUrl(const QUrl&, const QString&)
  emitted to open a URL in a new tab
openUrl(const QUrl&, const QString&)
  emitted to open a URL in the current tab

### Derived from

E4ModelToolBar

### Class Attributes

None

### Class Methods

None

### Methods

BookmarksToolBar | Constructor
__bookmarkActivated | Private slot handling the activation of a bookmark.
__contextMenuRequested | Private slot to handle the context menu request.
__newBookmark | Private slot to add a new bookmark.
__newFolder | Private slot to add a new bookmarks folder.
__openBookmark | Private slot to open a bookmark in the current browser tab.
__openBookmarkInNewTab | Private slot to open a bookmark in a new browser tab.
__openToolBarBookmark | Private slot to open a bookmark in the current browser tab.
__removeBookmark | Private slot to remove a bookmark.
_createMenu | Protected method to create the menu for a tool bar action.

### Static Methods

None

#### BookmarksToolBar (Constructor)

BookmarksToolBar(mainWindow, model, parent = None)

Constructor

mainWindow
  reference to the main window (HelpWindow)
model
  reference to the bookmarks model (BookmarksModel)
parent
  reference to the parent widget (QWidget)

#### BookmarksToolBar.__bookmarkActivated

__bookmarkActivated(idx)

Private slot handling the activation of a bookmark.

idx
  index of the activated bookmark (QModelIndex)

#### BookmarksToolBar.__contextMenuRequested

__contextMenuRequested(pos)

Private slot to handle the context menu request.

pos
  position the context menu shall be shown (QPoint)

#### BookmarksToolBar.__newBookmark

__newBookmark()

Private slot to add a new bookmark.

#### BookmarksToolBar.__newFolder

__newFolder()

Private slot to add a new bookmarks folder.

#### BookmarksToolBar.__openBookmark

__openBookmark()

Private slot to open a bookmark in the current browser tab.

#### BookmarksToolBar.__openBookmarkInNewTab

__openBookmarkInNewTab()

Private slot to open a bookmark in a new browser tab.

#### BookmarksToolBar.__openToolBarBookmark

__openToolBarBookmark()

Private slot to open a bookmark in the current browser tab.

#### BookmarksToolBar.__removeBookmark

__removeBookmark()

Private slot to remove a bookmark.

#### BookmarksToolBar._createMenu

_createMenu()

Protected method to create the menu for a tool bar action.

Returns:
  menu for a tool bar action (E4ModelMenu)

Up